// #autoload
// #name = TracerECM
// #version = 3.0.2
// #date = 01/10/04
// #author = Bryan Warde
// #warrior = TracerDX
// #email = tracerdx@hotmail.com
// #web = http://tdxscripts.tracerdx.com
// #description = TracerDX's Enhanced Chat Menu - Take complete control over your voice chat menu. Change text, change sounds, add in game sounds to voice binds, create custom voice packs, advanced voicepack support, bind console commands to menu items and much much more!
// #status = Ongoing Release
// #category = TracerDX's Scripts
// #readme = scripts/TDX/ECM/readme.t2t
// #config = ScriptTab_ECMButton
// #credit = Voice Pitch Slider based on FluxVoice by Flux
// #credit = Additional bioderm sounds created by HellSpawn07
// #credit = Additional sound effects provided by Topo
// #credit = Additional sound effects provided by Excel


//This file loads ECM regardless of the presence of Support.vl2/autoload.cs
//If autoload.cs does load it first tho, it will not try to load it again
if (!isObject(TracerECM))
	exec("scripts/TDX/ECM/TracerECMCore.cs");



new ShellFieldCtrl(ScriptTab_ECMButton) {
	profile = "GuiDefaultProfile";
	horizSizing = "center";
	vertSizing = "center";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	helpTag = "0";
	
	new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "0 0";
		extent = "350 80";
		minExtent = "48 92";
		visible = "1";
		helpTag = "0";
		text = "CLICK THIS BUTTON";
		noTitleBar = "0";
		
		new ShellBitmapButton() {
			profile = "ShellButtonProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "150 38";
			minExtent = "32 38";
			visible = "1";
			command = "TECMBindEditor.showTDXMenu(!isObject(GameConnection));";
			helpTag = "0";
			text = "ECM OPTIONS";
			simpleStyle = "0";
		};
	
	};

};


function ScriptTab_ECMButton::onWake(%this) {


}