new ScriptObject(ECMFunctions) {

	version = "1.0";

};

ECMFunctions.functionModules = new SimGroup();
//Add the "none" function first
new ScriptObject(ECMFNone) {

	DisplayName = "---NONE---";
	ReferenceName = "";
	Version = "0.0";
	Description = "";

};
ECMFunctions.functionModules.add(ECMFNone);

//Add ECM Base Function Modules
exec("scripts/TDX/ECM/FunctionModules/IssueTask.src.cs");
exec("scripts/TDX/ECM/FunctionModules/AcceptTask.src.cs");
exec("scripts/TDX/ECM/FunctionModules/CompleteTask.src.cs");
exec("scripts/TDX/ECM/FunctionModules/DeclineTask.src.cs");
exec("scripts/TDX/ECM/FunctionModules/CoverLOS.src.cs");

//Called by IO Function to get the function done
function execECMFunction(%ECMFunction, %ECMFunctionParameters) {

//echo(%ECMFunction @ " " @ %ECMFunctionParameters);

	%count = ECMFunctions.functionModules.getCount();

	for (%i = 0; %i < %count; %i++) {

		%obj = ECMFunctions.functionModules.getObject(%i);
		
		if (%obj.ReferenceName $= %ECMFunction)
			%obj.execute(%ECMFunctionParameters);

	}

}


