if (isObject(ECMQuickBinds))
	ECMQuickBinds.delete();

new ScriptObject(ECMQuickBinds) {

	Version = "3.0";
	DisplayName = "ECM Quick Binds";


};

//Quick Fun Chat Functions_____________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function TracerSHUTUP(%val) {
		
		if(%val) {

			//Determine the Text version of what this voice set will say

			switch$ ($TracerECM::VoiceDirs[TracerECM.PlayerVoiceNum]) {

				case "Bot1": //Bot Voice
					%text = "Quiet please!!!";

				case "Derm1": //Warrior
					%text = "SILENCE!!!";

				case "Derm2": //Monster
					%text = "SHUT UP!!!";

				case "Derm3": //Predator
					%text = "BE SILENT!!!";

				case "Fem1": //Heroine
					%text = "QUIET PLEASE!!!";

				case "Fem2": //Professional
					%text = "QUIET!!!";

				case "Fem3": //Cadet
					%text = "QUIET!!! Huh.";

				case "Fem4": //Veteran
					%text = "QUIET!!! UH!";

				case "Fem5": //Amazon
					%text = "SHUT UP!!!";

				case "Male1": //Hero
					%text = "QUIET PLEASE!!!";

				case "Male2": //Iceman
					%text = "SILENCE!!!";

				case "Male3": //Rouge
					%text = "QUIET! OK?!?";

				case "Male4": //Hardcase
					%text = "PIPE DOWN!!!";

				case "Male5": //Psyco
					%text = "WILL YOU BE QUIET!?!?!?";

			}

			if ($pref::TracerECM::VoiceMode == 1)
				%sound = "~wvoice/" @ $TracerECM::VoiceDirs[TracerECM.PlayerVoiceNum] @ "/vqk.quiet.wav";
			else
				%sound = "~wvqk.quiet";

			commandToServer('messageSent', %text @ %sound);

		}
		

	}

	function TracerDeath(%val) {

		
		if(%val) {

			if ($pref::TracerECM::VoiceMode == 1)
				%sound = "~wvoice/" @ $TracerECM::VoiceDirs[TracerECM.PlayerVoiceNum] @ "/avo.deathcry_01.wav";
			else
				%sound = "~wavo.deathcry_01";

			commandToServer('messageSent', "Arrrwwrwrwrwrwrww..." @ %sound);

		}

	}

	function TracerUmph(%val) {

		
		if(%val) {

			if ($pref::TracerECM::VoiceMode == 1)
				%sound = "~wvoice/" @ $TracerECM::VoiceDirs[TracerECM.PlayerVoiceNum] @ "/avo.pain.wav";
			else
				%sound = "~wavo.pain";
		
			commandToServer('messageSent', "Umphhh!" @ %sound);

		}

	}
	
	function TracerUmph2(%val) {

		
		if(%val) {

			if ($pref::TracerECM::VoiceMode == 1)
				%sound = "~wvoice/" @ $TracerECM::VoiceDirs[TracerECM.PlayerVoiceNum] @ "/avo.grunt.wav";
			else
				%sound = "~wavo.grunt";

			commandToServer('messageSent', "Uhhnn!" @ %sound);

		}

	}

//End Quick Fun Chat Functions___________________________________________________________________________
//-----------------------------------------------------------------------------------------------------
